These docs are for v3.0. Click to read the latest docs for v3.1.

Query

Query and retrieve a list of transactions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Retrieve transactions for a specific Shine bank account

integer
≥ 1

Number of transactions to retrieve at the beginning of the window determined by the before/after cursor(s)

integer
≥ 1

Number of transactions to retrieve at the end of the window determined by the before/after cursor(s)

string

Optional param, to retrieve transactions after a specific cursor. Pass a transactionId.

string

Optional param, to retrieve transactions before a specific cursor. Pass a transactionId.

status
array of strings

Optional param, to retrieve transactions with a specific status

status
paymentMethod
array of strings

Payment method of the transaction

paymentMethod
feeType
array of strings

feeType of the transaction

feeType
string
enum

category of transaction. In particular, used to recover ATM transactions (CASH)

string

Optional param, to match the field 'title' or the field 'debtorFullName' if 'extendSearchToDebtorFullName' is true

type
array of strings

Optional filter, to retrieve only transactions matching a subset of types

type
boolean

Optional filter, retrieve only transactions with or without receipts

boolean

Optional param, to filter transactions on the isPersonal field

boolean

Optional filter, can be used to exclude transactions that are refunds

boolean

Optional filter, retrieve only transactions with a given isHidden status

boolean

Optional filter, include hidden transactions in the output. Defaults to false, ignored if isHidden or includeHiddenFees true are passed

boolean

Optional filter, include hidden fees transactions in the output. Defaults to false, ignored if isHidden is passed

boolean

Optional filter, to match 'q' with the field 'debtorFullName' in addition to the field 'title'. Defaults to false.

boolean

Optional filter, include fields from join tables. Default to true because mostly needed in our client apps

integer

Optional filter, to retrieve only transactions initiated after this timestamp (large inequality)

integer

Optional filter, to retrieve only transactions initiated before this timestamp (strict inequality)

number

Optional filter, to retrieve only transaction with a value larger than this value (large inequality)

number

Optional filter, to retrieve only transaction with a value less than this value (large inequality)

string

Optional filter, to retrieve only transaction initiated by a company user

transactionId
array of strings

Optional param, to retrieve transactions from a list of transaction IDs

transactionId
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json